| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Protected Attributes | Private Slots
qx::service::QxThread Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxThread : thread to execute a transaction of QxService module More...

`#include <QxThread.h>`

List of all members.

## Signals
void | error (const QString &err, qx::service::QxTransaction_ptr transaction)
void | transactionStarted (qx::service::QxTransaction_ptr transaction)
void | transactionFinished (qx::service::QxTransaction_ptr transaction)
void | customRequestHandler (qx::service::QxTransaction_ptr transaction)
void | incomingConnection ()
void | finished ()
## Public Member Functions
| QxThread (QxThreadPool *pool, QThread *thread)
virtual | ~QxThread ()
void | init ()
void | stop ()
void | wait ()
bool | isAvailable ()
void | execute (QX_TYPE_SOCKET_DESC socketDescriptor)
## Protected Member Functions
void | quit ()
void | clearData ()
bool | hasBeenStopped ()
void | doProcess (QTcpSocket &socket)
bool | checkKeepAlive (QTcpSocket &socket)
QX_TYPE_SOCKET_DESC | getSocketDescriptor ()
bool | checkSocketSSLEncrypted (QTcpSocket *socket)
QSslSocket * | initSocketSSL ()
## Protected Attributes
QX_TYPE_SOCKET_DESC | m_iSocketDescriptor
| Socket descriptor to retrieve 'QTcpSocket'.
QxThreadPool * | m_pThreadPool
| Parent thread pool to set available.
QThread * | m_pThread
| Thread where this worker is executed.
QxTransaction_ptr | m_pTransaction
| Current service transaction.
bool | m_bIsStopped
| Set this flag to 'true' to terminate thread.
bool | m_bIsDisconnected
| Socket has been disconnected.
QMutex | m_mutex
| Mutex => 'QxThread' is thread-safe.
## Private Slots
void | onCustomRequestHandler ()
void | onIncomingConnection ()
void | onSocketDisconnected ()
void | onSocketReadyRead ()
void | onSocketSSLEncrypted ()
void | onSocketSSLErrors (const QList< QSslError > &errors)
void | onSocketSSLPeerVerifyError (const QSslError &error)

## Detailed Description

qx::service::QxThread : thread to execute a transaction of QxService module

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 94 of file QxThread.h.

## Constructor & Destructor Documentation

qx::service::QxThread::QxThread | ( | QxThreadPool * | pool,
|  | QThread * | thread
| ) |  | `[inline]`

Definition at line 111 of file QxThread.h.

virtual qx::service::QxThread::~QxThread | ( |  | ) | `[inline, virtual]`

Definition at line 112 of file QxThread.h.

## Member Function Documentation

bool qx::service::QxThread::checkKeepAlive | ( | QTcpSocket & | socket | ) | `[protected]`

bool qx::service::QxThread::checkSocketSSLEncrypted | ( | QTcpSocket * | socket | ) | `[protected]`

void qx::service::QxThread::clearData | ( |  | ) | `[protected]`

void qx::service::QxThread::customRequestHandler | ( | qx::service::QxTransaction_ptr | transaction | ) | `[signal]`

void qx::service::QxThread::doProcess | ( | QTcpSocket & | socket | ) | `[protected]`

void qx::service::QxThread::error | ( | const QString & | err,
|  | qx::service::QxTransaction_ptr | transaction
| ) |  | `[signal]`

void qx::service::QxThread::execute | ( | QX_TYPE_SOCKET_DESC | socketDescriptor | ) |

void qx::service::QxThread::finished | ( |  | ) | `[signal]`

QX_TYPE_SOCKET_DESC qx::service::QxThread::getSocketDescriptor | ( |  | ) | `[protected]`

bool qx::service::QxThread::hasBeenStopped | ( |  | ) | `[protected]`

void qx::service::QxThread::incomingConnection | ( |  | ) | `[signal]`

void qx::service::QxThread::init | ( |  | ) |

QSslSocket* qx::service::QxThread::initSocketSSL | ( |  | ) | `[protected]`

bool qx::service::QxThread::isAvailable | ( |  | ) |

void qx::service::QxThread::onCustomRequestHandler | ( |  | ) | `[private, slot]`

void qx::service::QxThread::onIncomingConnection | ( |  | ) | `[private, slot]`

void qx::service::QxThread::onSocketDisconnected | ( |  | ) | `[private, slot]`

void qx::service::QxThread::onSocketReadyRead | ( |  | ) | `[private, slot]`

void qx::service::QxThread::onSocketSSLEncrypted | ( |  | ) | `[private, slot]`

void qx::service::QxThread::onSocketSSLErrors | ( | const QList< QSslError > & | errors | ) | `[private, slot]`

void qx::service::QxThread::onSocketSSLPeerVerifyError | ( | const QSslError & | error | ) | `[private, slot]`

void qx::service::QxThread::quit | ( |  | ) | `[protected]`

void qx::service::QxThread::stop | ( |  | ) |

void qx::service::QxThread::transactionFinished | ( | qx::service::QxTransaction_ptr | transaction | ) | `[signal]`

void qx::service::QxThread::transactionStarted | ( | qx::service::QxTransaction_ptr | transaction | ) | `[signal]`

void qx::service::QxThread::wait | ( |  | ) |

## Member Data Documentation

bool qx::service::QxThread::m_bIsDisconnected`[protected]`

Socket has been disconnected.

Definition at line 106 of file QxThread.h.

bool qx::service::QxThread::m_bIsStopped`[protected]`

Set this flag to 'true' to terminate thread.

Definition at line 105 of file QxThread.h.

QX_TYPE_SOCKET_DESC qx::service::QxThread::m_iSocketDescriptor`[protected]`

Socket descriptor to retrieve 'QTcpSocket'.

Definition at line 101 of file QxThread.h.

QMutex qx::service::QxThread::m_mutex`[protected]`

Mutex => 'QxThread' is thread-safe.

Definition at line 107 of file QxThread.h.

QThread* qx::service::QxThread::m_pThread`[protected]`

Thread where this worker is executed.

Definition at line 103 of file QxThread.h.

QxThreadPool* qx::service::QxThread::m_pThreadPool`[protected]`

Parent thread pool to set available.

Definition at line 102 of file QxThread.h.

QxTransaction_ptr qx::service::QxThread::m_pTransaction`[protected]`

Current service transaction.

Definition at line 104 of file QxThread.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxService/QxThread.h